Browse Source

Remove always-false/true conditions based on OSVERSION 500000

main
Edwin Groothuis 14 years ago
parent
commit
52d564a552
  1. 4
      net-im/gajim-devel/Makefile
  2. 8
      net-im/sendxmpp/Makefile
  3. 8
      net-mgmt/arpscan/Makefile
  4. 8
      net-mgmt/flowd/Makefile
  5. 10
      net-mgmt/irrtoolset/Makefile
  6. 8
      net-mgmt/netmond/Makefile
  7. 6
      net-mgmt/nsca/Makefile
  8. 8
      net-mgmt/pftabled/Makefile
  9. 10
      net-mgmt/trafd/Makefile
  10. 8
      net-mgmt/weplab/Makefile
  11. 8
      net-p2p/apollon/Makefile
  12. 19
      net-p2p/btpeer/Makefile
  13. 5
      net-p2p/btqueue/Makefile
  14. 8
      net-p2p/createtorrent/Makefile
  15. 8
      net-p2p/dclibc/Makefile
  16. 4
      net-p2p/dctc-gui-qt/Makefile
  17. 5
      net-p2p/jigdo/Makefile
  18. 8
      net-p2p/microdc2/Makefile
  19. 9
      net-p2p/minder/Makefile
  20. 5
      net-p2p/mldonkey-devel/Makefile
  21. 5
      net-p2p/mldonkey/Makefile
  22. 4
      net-p2p/museek+/Makefile
  23. 4
      net-p2p/museekplus/Makefile
  24. 9
      net-p2p/trackerbt/Makefile
  25. 10
      news/fidogate/Makefile
  26. 8
      news/hellanzb/Makefile
  27. 9
      palm/iSiloXC/Makefile
  28. 3
      polish/gnugadu2/Makefile
  29. 4
      ports-mgmt/kports-qt4/Makefile
  30. 4
      ports-mgmt/kports/Makefile
  31. 8
      print/cups-magicolor/Makefile
  32. 4
      print/hplip/Makefile
  33. 4
      print/hplip3/Makefile
  34. 4
      print/lyx-devel/Makefile
  35. 4
      print/lyx/Makefile
  36. 4
      print/lyx14/Makefile
  37. 4
      print/lyx15/Makefile
  38. 4
      print/lyx16/Makefile
  39. 7
      print/mp-letter/Makefile
  40. 6
      print/pips800/Makefile.pips
  41. 8
      science/gsystem/Makefile
  42. 6
      science/kst/Makefile
  43. 6
      science/kst2/Makefile
  44. 10
      science/lamprop/Makefile
  45. 4
      science/mbdyn/Makefile
  46. 2
      science/medit/Makefile
  47. 4
      science/psi3/Makefile
  48. 8
      science/qcl/Makefile
  49. 10
      science/x11iraf/Makefile

4
net-im/gajim-devel/Makefile

@ -63,10 +63,6 @@ post-install:
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= doesn\'t install
.endif
.if ${PYTHON_REL} >= 250
RUN_DEPENDS+= ${PYTHON_SITELIBDIR}/_sqlite3.so:${PORTSDIR}/databases/py-sqlite3
.else

8
net-im/sendxmpp/Makefile

@ -24,10 +24,4 @@ PLIST_FILES= bin/sendxmpp \
%%SITE_PERL%%/mach/auto/sendxmpp/.packlist
PLIST_DIRS= %%SITE_PERL%%/mach/auto/sendxmpp
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Dependencies does not build on FreeBSD < 5.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-mgmt/arpscan/Makefile

@ -22,10 +22,4 @@ CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL} \
PLIST_FILES= bin/arpscan
.include <bsd.port.pre.mk>
.if ${OSVERSION} <= 500000
IGNORE= unknown BIOCSETIF error
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-mgmt/flowd/Makefile

@ -37,12 +37,6 @@ PLIST_SUB+= WITH_PYTHON=""
PLIST_SUB+= WITH_PYTHON="@comment "
.endif
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
CONFIGURE_ARGS+="ac_cv_sizeof_sa_family_t=1"
.endif
pre-extract:
@${ECHO_MSG} ""
.if defined(WITH_PERL)
@ -82,4 +76,4 @@ post-install:
FLOWD_USER=${FLOWD_USER} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
.include <bsd.port.post.mk>
.include <bsd.port.mk>

10
net-mgmt/irrtoolset/Makefile

@ -27,7 +27,7 @@ CONFIGURE_ARGS= --x-libraries=${X11BASE}/lib --x-includes=${X11BASE}/include
MAN1= RtConfig.1 peval.1 rpslcheck.1 IRR-Errors.1
MAN3= librpsl.3
.include <bsd.port.pre.mk>
ALL_TARGET= depend all
post-extract:
@${RM} ${WRKSRC}/man/man1/CIDRAdvisor.1 ${WRKSRC}/man/man1/prpath.1
@ -39,10 +39,4 @@ post-patch:
${WRKSRC}/src/irr/birdwhoisc.cc
@${RM} ${WRKSRC}/man/man1/*.orig
ALL_TARGET= depend all
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-mgmt/netmond/Makefile

@ -83,10 +83,4 @@ do-install:
post-install:
${CAT} ${PKGMESSAGE}
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

6
net-mgmt/nsca/Makefile

@ -52,8 +52,4 @@ do-install:
cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}
.endif
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= does not build on 4.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-mgmt/pftabled/Makefile

@ -22,10 +22,4 @@ PLIST_FILES= bin/pftabled-client sbin/pftabled
GNU_CONFIGURE= yes
USE_GMAKE= yes
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

10
net-mgmt/trafd/Makefile

@ -16,15 +16,7 @@ MAINTAINER= bms@FreeBSD.org
COMMENT= The BPF Traffic Collector
CONFLICTS= bpft-4.*
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
RUN_DEPENDS= ${LOCALBASE}/etc/rc.subr:${PORTSDIR}/sysutils/rc_subr
RCSUBRBASE= ${LOCALBASE}/etc
.else
RCSUBRBASE= /etc
.endif
do-install:
${INSTALL_PROGRAM} ${WRKSRC}/trafd/trafd ${PREFIX}/bin
@ -47,4 +39,4 @@ do-install:
@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-mgmt/weplab/Makefile

@ -18,14 +18,8 @@ GNU_CONFIGURE= yes
MAN1= weplab.1
PLIST_FILES= bin/weplab
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Doesn't build on 4.x
.endif
post-patch:
@${REINPLACE_CMD} -E 's,^(CC|CFLAGS|LDFLAGS) *=,\1 ?=,g' \
${WRKSRC}/Makefile.in
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-p2p/apollon/Makefile

@ -22,16 +22,10 @@ USE_KDELIBS_VER=3
USE_GMAKE= yes
USE_AUTOTOOLS= libtool:15
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= "Does not compile on FreeBSD 4.x"
.endif
post-patch:
.ifdef(NOPORTDOCS)
@${REINPLACE_CMD} -E -e 's/^(all:)[[:space:]]+docs-am/\1/; s/^(SUBDIRS.+)doc/\1/' \
${WRKSRC}/Makefile.in
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

19
net-p2p/btpeer/Makefile

@ -38,20 +38,13 @@ post-patch:
-e 's|^LIBS.+$$|LIBS=-L${OPENSSLLIB} ${PTHREAD_LIBS} -L${LOCALBASE}/lib \\|' \
${BUILD_WRKSRC}/${MAKEFILE}
do-install:
.for file in ${PROGRAM_FILES}
@${INSTALL_PROGRAM} ${WRKSRC}/${file} ${PREFIX}/bin/${PORTNAME}-${file}
.for f in ${PROGRAM_FILES}
PLIST_FILES+= bin/${PORTNAME}-${f}
.endfor
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= FreeBSD prior to 500000 does not support uuid(3) required\
for building
.endif
.for file in ${PROGRAM_FILES}
PLIST_FILES+= bin/${PORTNAME}-${file}
do-install:
.for f in ${PROGRAM_FILES}
@${INSTALL_PROGRAM} ${WRKSRC}/${f} ${PREFIX}/bin/${PORTNAME}-${f}
.endfor
.include <bsd.port.post.mk>
.include <bsd.port.mk>

5
net-p2p/btqueue/Makefile

@ -29,11 +29,6 @@ OPTIONS= PYXML "Add dependency on PyXML (needed for crawler only)" on
.include <bsd.port.pre.mk>
# Enable workaround for bad libc in FreeBSD 4.x
.if ${OSVERSION} < 500000
EXTRA_PATCHES= ${FILESDIR}/FBSD4-patch-BitTorrent_defaultargs.py
.endif
.if !defined(WITHOUT_PYXML)
RUN_DEPENDS+= ${PYXML}
.endif

8
net-p2p/createtorrent/Makefile

@ -20,13 +20,7 @@ USE_OPENSSL= yes
PLIST_FILES= bin/createtorrent
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= does not compile on 4.x
.endif
do-install:
${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
net-p2p/dclibc/Makefile

@ -21,10 +21,4 @@ USE_ICONV= yes
USE_GNOME= glib20 pkgconfig
USE_LDCONFIG= yes
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= doesn't build on FreeBSD < 5.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

4
net-p2p/dctc-gui-qt/Makefile

@ -45,10 +45,6 @@ PORTDOCS= \
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= "Does not compile on FreeBSD 4.x"
.endif
# with xine preview support
.ifdef(WITH_XINE)
LIB_DEPENDS+= xine:${PORTSDIR}/multimedia/libxine

5
net-p2p/jigdo/Makefile

@ -32,11 +32,6 @@ OPTIONS= GUI "Build the gtk2 gui" off \
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
NOT_FOR_ARCHS+= alpha
BROKEN= Does not compile
.endif
.if defined(WITH_GUI)
CONFIGURE_ARGS+= --with-gui
LIB_DEPENDS+= gtk-x11-2.0:${PORTSDIR}/x11-toolkits/gtk20 \

8
net-p2p/microdc2/Makefile

@ -20,12 +20,6 @@ GNU_CONFIGURE= yes
USE_ICONV= yes
USE_GNOME= libxml2
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= doesn't compile on FreeBSD 4.x
.endif
.if !defined(WITHOUT_NLS)
USE_GETTEXT= yes
PLIST_SUB+= NLS=""
@ -34,4 +28,4 @@ CONFIGURE_ARGS+= --disable-nls
PLIST_SUB+= NLS="@comment "
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

9
net-p2p/minder/Makefile

@ -50,11 +50,4 @@ do-install:
@${INSTALL_DATA} ${FILESDIR}/minder.cfg.sample \
${EXAMPLESDIR}/minder.cfg
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= FreeBSD prior to 500000 does not support uuid(3) required\
for building
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

5
net-p2p/mldonkey-devel/Makefile

@ -110,11 +110,6 @@ ALL_TARGET+= \
.include <bsd.port.pre.mk>
# Fix build on 4.x
.if ${OSVERSION} < 500000
USE_GCC= 3.4
.endif
# FreeBSD has reentrant dns code
.if ( ((${OSVERSION} >= 504102) && (${OSVERSION} < 600000)) || (${OSVERSION} >= 600029) )
PTHREAD_CFLAGS+= -D_REENTRANT

5
net-p2p/mldonkey/Makefile

@ -110,11 +110,6 @@ ALL_TARGET+= \
.include <bsd.port.pre.mk>
# Fix build on 4.x
.if ${OSVERSION} < 500000
USE_GCC= 3.4
.endif
# FreeBSD has reentrant dns code
.if ( ((${OSVERSION} >= 504102) && (${OSVERSION} < 600000)) || (${OSVERSION} >= 600029) )
PTHREAD_CFLAGS+= -D_REENTRANT

4
net-p2p/museek+/Makefile

@ -98,8 +98,4 @@ post-install:
BROKEN= Does not compile on amd64
.endif
.if (${OSVERSION} < 500000)
IGNORE= does not compile on systems < 5.x (needs wstring support)
.endif
.include <bsd.port.post.mk>

4
net-p2p/museekplus/Makefile

@ -98,8 +98,4 @@ post-install:
BROKEN= Does not compile on amd64
.endif
.if (${OSVERSION} < 500000)
IGNORE= does not compile on systems < 5.x (needs wstring support)
.endif
.include <bsd.port.post.mk>

9
net-p2p/trackerbt/Makefile

@ -49,11 +49,4 @@ do-install:
@${MKDIR} ${EXAMPLESDIR}
@${INSTALL_DATA} ${WRKSRC}/config.xml ${EXAMPLESDIR}
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= FreeBSD prior to 500000 does not support uuid(3) required\
for building
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

10
news/fidogate/Makefile

@ -16,6 +16,8 @@ MASTER_SITE_SUBDIR= system/fido
MAINTAINER= dinoex@FreeBSD.org
COMMENT= Fido-Internet Gateway and Tosser
EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-perl
.if !defined(WITHOUT_IFCICO)
RUN_DEPENDS= ${LOCALBASE}/libexec/ifmail/ifcico:${PORTSDIR}/news/ifmail
.endif
@ -30,12 +32,6 @@ DOCLIST= fidogate.texi fidogate.txt gatebau94.txt kludge-rfc.doc \
MAKE_ENV+= CC=${CC}
.include <bsd.port.pre.mk>
.if ${OSVERSION} > 500000
EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-perl
.endif
pre-configure:
${TOUCH} ${WRKSRC}/doc/fidogate.info
${RM} -f ${WRKSRC}/doc/fidogate.info-?
@ -62,4 +58,4 @@ post-install:
@${TAR} -C ${WRKSRC}/examples -cf - . | ${TAR} -C ${EXAMPLESDIR} -xf -
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

8
news/hellanzb/Makefile

@ -20,18 +20,14 @@ RUN_DEPENDS= par2:${PORTSDIR}/archivers/par2cmdline \
shorten:${PORTSDIR}/audio/shorten \
${PYTHON_SITELIBDIR}/yenc.py:${PORTSDIR}/news/py-yenc \
${PYTHON_SITELIBDIR}/twisted:${PORTSDIR}/devel/py-twistedCore \
${PYTHON_SITELIBDIR}/twisted/web:${PORTSDIR}/www/py-twistedWeb
${PYTHON_SITELIBDIR}/twisted/web:${PORTSDIR}/www/py-twistedWeb \
mac:${PORTSDIR}/audio/mac
USE_PYTHON= yes
USE_PYDISTUTILS=yes
.include <bsd.port.pre.mk>
# monkey audio (mac) needs FreeBSD 5
.if ${OSVERSION} >= 500000
RUN_DEPENDS+= mac:${PORTSDIR}/audio/mac
.endif
# more fully-featured rar needs at least 5.3
.if ${ARCH} == "i386" && ${OSVERSION} >= 503000
RUN_DEPENDS+= rar:${PORTSDIR}/archivers/rar

9
palm/iSiloXC/Makefile

@ -14,16 +14,13 @@ DISTNAME= ${PORTNAME}${PORTVERSION:S/.//}BSD
MAINTAINER= skv@FreeBSD.org
COMMENT= Converts documents from text/html files or URLs to iSilo format
LIB_DEPENDS= c.4:${PORTSDIR}/misc/compat4x
USE_ZIP= yes
NO_BUILD= yes
NO_WRKSUBDIR= yes
ONLY_FOR_ARCHS= i386
.include <bsd.port.pre.mk>
.if ${OSVERSION} >= 500000
LIB_DEPENDS+= c.4:${PORTSDIR}/misc/compat4x
.endif
MAN1= iSiloXC.1
MAN5= ixl.5
MANCOMPRESSED= no
@ -39,4 +36,4 @@ do-install:
@${MKDIR} ${MAN5PREFIX}/man/man5
${INSTALL_MAN} ${WRKSRC}/ixl.5 ${MAN5PREFIX}/man/man5
.include <bsd.port.post.mk>
.include <bsd.port.mk>

3
polish/gnugadu2/Makefile

@ -166,9 +166,6 @@ PLIST_SUB+= KDE:="@comment "
post-patch:
@${REINPLACE_CMD} -e 's,%%PREFIX%%,${PREFIX},' ${WRKSRC}/gg2.desktop
@${REINPLACE_CMD} -e 's| -ldl|| ; s|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|' ${WRKSRC}/lib/Makefile.in
.if ${OSVERSION} < 500000
@${REINPLACE_CMD} -e 's|stdint.h|inttypes.h|' ${WRKSRC}/src/plugins/gadu_gadu/libgadu/lib/libgadu-config.h.in
.endif
post-install:
.if (${HAVE_GNOME:Mgnomehier}!="")

4
ports-mgmt/kports-qt4/Makefile

@ -28,10 +28,6 @@ OPTIONS= PORTAUDIT "Require Portaudit" on
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= doesn't compile properly on 4.x systems
.endif
.if !defined(WITHOUT_PORTAUDIT)
RUN_DEPENDS+= portaudit:${PORTSDIR}/ports-mgmt/portaudit
.endif

4
ports-mgmt/kports/Makefile

@ -28,10 +28,6 @@ OPTIONS= PORTAUDIT "Require Portaudit" on
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
IGNORE= doesn't compile properly on 4.x systems
.endif
.if !defined(WITHOUT_PORTAUDIT)
RUN_DEPENDS+= portaudit:${PORTSDIR}/ports-mgmt/portaudit
.endif

8
print/cups-magicolor/Makefile

@ -28,10 +28,4 @@ USE_AUTOTOOLS= automake:19:env autoconf:261
USE_GMAKE= yes
GNU_CONFIGURE= yes
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

4
print/hplip/Makefile

@ -44,10 +44,6 @@ PLIST_SUB+= PORTVERSION=${PORTVERSION} IJSVER=2.7.4
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.if !defined(WITHOUT_GUI) || exists(${LOCALBASE}/bin/pylupdate)
RUN_DEPENDS+= pylupdate:${PORTSDIR}/x11-toolkits/py-qt
CONFIGURE_ARGS+= --enable-gui-build

4
print/hplip3/Makefile

@ -44,10 +44,6 @@ PLIST_SUB+= PORTVERSION=${PORTVERSION} IJSVER=2.7.4
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on 4.x
.endif
.if !defined(WITHOUT_GUI) || exists(${LOCALBASE}/bin/pylupdate)
RUN_DEPENDS+= pylupdate:${PORTSDIR}/x11-toolkits/py-qt
CONFIGURE_ARGS+= --enable-gui-build

4
print/lyx-devel/Makefile

@ -120,8 +120,4 @@ CFLAGS+= -Wno-non-template-friend -ftemplate-depth-30
#BROKEN= C++ compiler seg-faults, try using a different one and report to ${MAINTAINER}
.endif
.if ${OSVERSION} < 500000
#BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>

4
print/lyx/Makefile

@ -120,8 +120,4 @@ CFLAGS+= -Wno-non-template-friend -ftemplate-depth-30
#BROKEN= C++ compiler seg-faults, try using a different one and report to ${MAINTAINER}
.endif
.if ${OSVERSION} < 500000
#BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>

4
print/lyx14/Makefile

@ -120,8 +120,4 @@ CFLAGS+= -Wno-non-template-friend -ftemplate-depth-30
#BROKEN= C++ compiler seg-faults, try using a different one and report to ${MAINTAINER}
.endif
.if ${OSVERSION} < 500000
#BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>

4
print/lyx15/Makefile

@ -120,8 +120,4 @@ CFLAGS+= -Wno-non-template-friend -ftemplate-depth-30
#BROKEN= C++ compiler seg-faults, try using a different one and report to ${MAINTAINER}
.endif
.if ${OSVERSION} < 500000
#BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>

4
print/lyx16/Makefile

@ -120,8 +120,4 @@ CFLAGS+= -Wno-non-template-friend -ftemplate-depth-30
#BROKEN= C++ compiler seg-faults, try using a different one and report to ${MAINTAINER}
.endif
.if ${OSVERSION} < 500000
#BROKEN= Does not compile on 4.x
.endif
.include <bsd.port.post.mk>

7
print/mp-letter/Makefile

@ -18,11 +18,6 @@ DISTNAME= mp-3.0.1
MAINTAINER= obrien@FreeBSD.org
COMMENT= A PostScript printing util for ASCII files, email, USENET news articles, etc
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
USE_GCC= 3.4
.endif
WRKSRC= ${WRKDIR}/mp
MAN1= mp.1
MLINKS= mp.1 digestp.1 - filep.1 - filofaxp.1 \
@ -42,4 +37,4 @@ pre-patch:
${WRKSRC}/header.cc ${WRKSRC}/input.cc ${WRKSRC}/main.cc \
${WRKSRC}/print.cc ${WRKSRC}/print.hh
.include <bsd.port.post.mk>
.include <bsd.port.mk>

6
print/pips800/Makefile.pips

@ -126,12 +126,6 @@ BUILD_DEPENDS+= ${LOCALBASE}/bin/autoconf-2.61:${PORTSDIR}/devel/autoconf261
LIB_DEPENDS+= cups.2:${PORTSDIR}/print/cups-base
USE_ICONV= yes
.endif
.if ${OSVERSION} < 500000
LIB_DEPENDS+= gnugetopt.1:${PORTSDIR}/devel/libgnugetopt \
lthread.2:${PORTSDIR}/devel/linuxthreads
CPPFLAGS+= -I${LOCALBASE}/include/pthread/linuxthreads
LDFLAGS+= -lgnugetopt -llthread
.else
LDFLAGS+= ${PTHREAD_LIBS}
.endif
CPPFLAGS+= ${PTHREAD_CFLAGS}

8
science/gsystem/Makefile

@ -26,12 +26,6 @@ INSTALLS_SHLIB= yes
QTDIR= ${QT_PREFIX}
QMAKESPEC= freebsd-g++
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= "does not compile with gcc 2.95"
.endif
do-configure:
cd ${WRKSRC}; \
export QTDIR=${QTDIR}; \
@ -53,4 +47,4 @@ do-install:
post-install:
@${CAT} ${PKGMESSAGE};
.include <bsd.port.post.mk>
.include <bsd.port.mk>

6
science/kst/Makefile

@ -32,11 +32,7 @@ MAN1= kst.1
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= does not build
.endif
.if ${OSVERSION} < 500000 || exists(${LOCALBASE}/lib/libreadline.so.5)
.if exists(${LOCALBASE}/lib/libreadline.so.5)
LIB_DEPENDS+= readline.5:${PORTSDIR}/devel/readline
.endif

6
science/kst2/Makefile

@ -32,11 +32,7 @@ MAN1= kst.1
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= does not build
.endif
.if ${OSVERSION} < 500000 || exists(${LOCALBASE}/lib/libreadline.so.5)
.if exists(${LOCALBASE}/lib/libreadline.so.5)
LIB_DEPENDS+= readline.5:${PORTSDIR}/devel/readline
.endif

10
science/lamprop/Makefile

@ -25,17 +25,9 @@ MAKE_ENV= NOPORTDOCS=yes
PORTDOCS= LICENSE README NEWS
.endif
.include <bsd.port.pre.mk>
REP= 's|-pipe||; s|-fmerge-constants||; s|--fast-math||'
.if ${OSVERSION} < 500000
REP2+= 's|-fno-unit-at-a-time||;'
.endif
post-patch:
@${REINPLACE_CMD} -e ${REP} ${WRKSRC}/Makefile
.if ${OSVERSION} < 500000
@${REINPLACE_CMD} -e ${REP2} ${WRKSRC}/Makefile
.endif
.include <bsd.port.post.mk>
.include <bsd.port.mk>

4
science/mbdyn/Makefile

@ -97,8 +97,4 @@ CONFIGURE_ARGS+= --with-tcl=no
BROKEN= Does not compile
.endif
.if ${OSVERSION} < 500000
BROKEN= Does not compile
.endif
.include <bsd.port.post.mk>

2
science/medit/Makefile

@ -57,9 +57,7 @@ USE_GL= yes
. if ${OSVERSION} < 601000
. if ${ARCH} == i386
DISTVER= 4.11
. if ${OSVERSION} >= 500000
LIB_DEPENDS+= c.4:${PORTSDIR}/misc/compat4x
. endif
. else
BROKEN= no binary available for your platform x version at the moment
. endif

4
science/psi3/Makefile

@ -54,10 +54,6 @@ CONFIGURE_ARGS= --with-cc=${CC} \
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile on FreeBSD 4.x
.endif
.if defined(WITH_OPTIMIZED_FLAGS)
FFLAGS+= -O3 -ffast-math -finline-functions -fomit-frame-pointer -funroll-loops -fexpensive-optimizations -malign-double
CFLAGS+= -O3 -ffast-math -finline-functions -fomit-frame-pointer -funroll-loops -fexpensive-optimizations -malign-double

8
science/qcl/Makefile

@ -16,14 +16,8 @@ COMMENT= A quantum computer simulator
USE_GETOPT_LONG=yes
.include <bsd.port.pre.mk>
.if ${OSVERSION} < 500000
BROKEN= Does not compile
.endif
do-configure:
echo 'PREFIX=${PREFIX}' >>${WRKSRC}/Makefile
cd ${WRKSRC} && make dep
.include <bsd.port.post.mk>
.include <bsd.port.mk>

10
science/x11iraf/Makefile

@ -14,6 +14,8 @@ DISTNAME= x11iraf-v${PORTVERSION}-bin.freebsd
MAINTAINER= dsyphers@u.washington.edu
COMMENT= Provides graphical tools to work with IRAF
LIB_DEPENDS= c.4:${PORTSDIR}/misc/compat4x
NO_BUILD= yes
USE_XLIB= yes
@ -29,12 +31,6 @@ MAN1= obmsh.1 \
ximtool.1 \
xtapemon.1
.include <bsd.port.pre.mk>
.if ${OSVERSION} >= 500000
LIB_DEPENDS+= c.4:${PORTSDIR}/misc/compat4x
.endif
do-install:
@${ECHO_MSG} "===> Installing binaries"
@${INSTALL_PROGRAM} ${BINS:S|^|${WRKDIR}/bin.freebsd/|} ${PREFIX}/bin/
@ -45,4 +41,4 @@ do-install:
@${INSTALL_DATA} ${WRKDIR}/include/* ${PREFIX}/include/
@${INSTALL_DATA} ${WRKDIR}/lib.freebsd/libcdl.a ${PREFIX}/lib/
.include <bsd.port.post.mk>
.include <bsd.port.mk>

Loading…
Cancel
Save